Bug 372072 - KMail 5.3.2: entry "%QUOTE" in forward templates always uses the whole e-mail content
Summary: KMail 5.3.2: entry "%QUOTE" in forward templates always uses the whole e-mail...
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: 5.3.2
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-04 13:42 UTC by Till Schäfer
Modified: 2016-11-07 05:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2016-11-04 13:42:10 UTC
I have modified my composer template for forwarded mails to use %QUOTE instead of %TEXT. Thus, I expect the forwarded part of the email to be the currently selected text only (if there is any selection). 

However, this is not the case. Regardless of the selection, the whole message is always forwarded. 

Interesting observation: If I use %QUOTE and %TEXT in the reply or reply all templates, they work as expected.


Template example: 
**********************************************************************
%REM="Default forward template"%-
%CURSOR

Viele Grüße 
Till
----------  Forwarded Message  ----------
Subject: %OFULLSUBJECT
Date: %ODATE, %OTIMELONG
From: %OFROMADDR
%OADDRESSEESADDR

%QUOTE
-----------------------------------------


**********************************************************************
Comment 1 Till Schäfer 2016-11-06 14:09:09 UTC
possible fix: https://bugs.kde.org/show_bug.cgi?id=372085#c2
Comment 2 Laurent Montel 2016-11-07 05:55:50 UTC
see this commit https://bugs.kde.org/show_bug.cgi?id=372085#c2